## org.apache.cassandra.db.columniterator
Class SimpleAbstractColumnIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IColumn>
              org.apache.cassandra.db.columniterator.SimpleAbstractColumnIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IColumn>, IColumnIterator, CloseableIterator<IColumn>

Direct Known Subclasses:
  SSTableNamesIterator

    public abstract class SimpleAbstractColumnIterator

extends com.google.common.collect.AbstractIterator<IColumn>
implements IColumnIterator

Constructor Summary
`SimpleAbstractColumnIterator()`

Method Summary
`void` `close()` clean up any open resources

Methods inherited from class com.google.common.collect.AbstractIterator
`computeNext, endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.db.columniterator.IColumnIterator
`getColumnFamily, getKey`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### SimpleAbstractColumnIterator

    public SimpleAbstractColumnIterator()

Method Detail

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `IColumnIterator`
  clean up any open resources

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `IColumnIterator`
  Throws:
    `java.io.IOException`

Copyright © 2012 The Apache Software Foundation